Bug 1151258 (CVE-2014-3692) - CVE-2014-3692 CFME: default fallback password in customization_templates.yml
Summary: CVE-2014-3692 CFME: default fallback password in customization_templates.yml
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3692
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1159443
Blocks: 1146355 1157882
TreeView+ depends on / blocked
 
Reported: 2014-10-10 00:30 UTC by Kurt Seifried
Modified: 2019-09-29 13:23 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the CloudForms Management Engine customization template used a default root password for newly created images if no root password was specified.
Clone Of:
Environment:
Last Closed: 2015-01-14 20:40:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0028 normal SHIPPED_LIVE Important: cfme security, bug fix, and enhancement update 2015-01-15 00:41:27 UTC

Description Kurt Seifried 2014-10-10 00:30:17 UTC
CFME: default password:

https://github.com/ManageIQ/manageiq/blob/master/vmdb/db/fixtures/customization_templates.yml#L7

config file, requires user to not enter password, I think we should default to
safe (e.g. either force a password to be set, or assign a random one), and 
give this a CVE, giving them time for feedback.

Comment 1 Jason Frey 2014-10-10 20:48:43 UTC
Interesting, I thought we decided this *wasn't* a security issue because it's not actually used.  It's a sample meant to show people how to set a default password.  

Users *could* copy and reuse, hence the perceived problem, but it's not actively a security hole...it's not really even a bug.

Either way, I think in discussion we just decided to delete that line of code, since, again, it's just a sample.

Comment 3 Kurt Seifried 2014-10-15 04:08:52 UTC
This issue is now public. 

https://github.com/ManageIQ/manageiq/commit/40f83e498edd5f91ab70ef538a9766bbe08e3d23

Comment 6 Kurt Seifried 2015-01-08 16:01:38 UTC
Acknowledgement:

This issue was discovered by the Red Hat CloudForms Team.

Comment 7 errata-xmlrpc 2015-01-14 19:42:17 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.3

Via RHSA-2015:0028 https://rhn.redhat.com/errata/RHSA-2015-0028.html


Note You need to log in before you can comment on or make changes to this bug.